<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:c="http://bulletin.cstug.cz/ns/CSTUGbulletin" version="1.0"
                exclude-result-prefixes="c">

<!--
This stylesheets converts the list of acronyms into an HTML table.
-->

<xsl:import href="acro.xsl"/>

<xsl:strip-space elements="*"/>
<xsl:preserve-space elements="c:text c:TeX c:html"/>
<xsl:variable name="acronymlist" select="/"/>
<xsl:output method="html"/>

<xsl:variable name="acromode">html</xsl:variable>

<xsl:template match="c:acronymList">
  <html>
    <head>
      <title>List of Acronyms</title>
    </head>
    <body background="back_narrow.gif" bgcolor="#ffffff" text="#000000" alink="#c14242" vlink="#d30000" link="#900000">
<table border="0" width="100%">
 <tr valign="top">
  <td width="30"> </td>
  <td>
      <a href="http://bulletin.cstug.cz/xml/">
        <img src="logo.gif" border="0" height="51" width="165" alt="CSTUG" align="right"/>
      </a>
      <h1>List of Acronyms Sorted by Id, last modified
          <xsl:value-of select="/c:acronymList/@lastModified"/></h1>
      <p>
The T<sub>E</sub>X version requires macros defined in <a href="csbulacronym.sty"><code>csbulacronym.sty</code></a>. The
list may be extended in the future.
      </p>
      <table frame="box" rules="all" border="3" cellpadding="3">
        <tr>
          <th>Id</th>
          <th>HTML form</th>
          <th>TeX form</th>
          <th>Plain text</th>
          <th>Meaning</th>
        </tr>
        <xsl:for-each select="c:acronym">
          <xsl:sort select="@id"/>
          <xsl:call-template name="acronym"/>
        </xsl:for-each>
      </table>
      <p><a title="Index" href="{@indexhref}">Index</a></p>
</td></tr></table>
    </body>
  </html>
</xsl:template>

<xsl:template name="acronym">
  <tr valign="middle">
    <td><xsl:value-of select="@id"/></td>
    <td><xsl:apply-templates select="c:html" mode="html"/></td>
    <td><xsl:apply-templates select="c:TeX" mode="TeX"/></td>
    <td><xsl:value-of select="c:text"/></td>
    <td><xsl:value-of select="c:meaning"/></td>
  </tr>
</xsl:template>

</xsl:stylesheet>