<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:xi="http://www.w3c.org/2001/XInclude"
                xmlns:c="http://bulletin.cstug.cz/ns/CSTUGbulletin"
                exclude-result-prefixes="c xi" version="2.0">

<!--
This is a stylesheet for transforming the contents of issues into an HTML view. It modifies the
templates provided by csbulweb2.xsl and thus has the same requirements.
-->

<xsl:import href="csbulweb2.xsl"/>

<xsl:variable name="acromode">html</xsl:variable>

<xsl:template match="/">
  <html>
    <head>
      <title>Zpravodaj Československého sdružení uživatelů TeXu</title>
    </head>
    <body background="background.gif" bgcolor="#ffffff" text="#000000" alink="#c14242" vlink="#d30000" link="#900000">
      <xsl:apply-templates/>
    </body>
  </html>
</xsl:template>

<xsl:template match="c:issue">
  <table border="0" width="100%">
   <tr valign="top">
     <td width="182">
     <a href="http://bulletin.cstug.cz/xml/">
       <img src="logo.gif" border="0" height="51" width="165" alt="CSTUG"/>
     </a>
     </td>
     <td>
       <h1>Zpravodaj Československého sdružení uživatelů T<sub>E</sub>Xu</h1>
     </td>
    </tr>
    <xsl:call-template name="hrule"/>
    <tr valign="top">
      <td><font size="+2"><b>
        <xsl:value-of select="@id"/>
      </b></font><br/><xsl:call-template name="xmlink"/></td>
      <td>
        <xsl:text>&lt;</xsl:text><xsl:value-of select="name()"/>
        <xsl:apply-templates select="@*"/>
        <xsl:text>&gt;</xsl:text>
      </td>
    </tr>
    <xsl:apply-templates/>
    <xsl:call-template name="hrule"/>
    <tr valign="top"><td><xsl:call-template name="xmlink"/></td>
    <td>
      <xsl:text>&lt;/</xsl:text><xsl:value-of select="name(.)"/><xsl:text>&gt;</xsl:text>
    </td></tr>
    <xsl:call-template name="hrule"/>
    <tr valign="top">
      <td>
      <a href="http://bulletin.cstug.cz/xml/">
        <img src="logo.gif" border="0" height="51" width="165" alt="CSTUG"/>
      </a>
      </td>
      <td align="right"><a href="http://bulletin.cstug.cz/xml/">(C) <i>C<sub>S</sub></i>TUG, 2004</a></td>
    </tr>
  </table>
</xsl:template>


<xsl:template match="c:article">
  <xsl:call-template name="hrule"/>
  <tr valign="top">
    <td><font size="+2"><b>
      <xsl:value-of select="concat('#', @serial)"/>
    </b></font></td>
    <td>
      <xsl:call-template name="any"/>
    </td>
  </tr>
</xsl:template>

<xsl:template match="c:title">
  <b><font color="#1d8224">
    <xsl:apply-imports/>
  </font></b>
</xsl:template>

<xsl:template match="c:keyword">
  <font color="magenta">
    <xsl:apply-imports/>
  </font>
</xsl:template>

<xsl:template match="c:author">
  <font color="blue">
    <xsl:apply-imports/>
  </font>
</xsl:template>

<xsl:template match="@id|@num|@serial"/>

<xsl:template name="hrule">
  <tr><td colspan="2"><hr/></td></tr>
</xsl:template>


</xsl:stylesheet>