package cz.cas.icpf.hroch486.selfml;
import org.dom4j.Document;
import java.util.Enumeration;

/**
This is a general interface to all property builders.
@author Z. Wagner, 2003
*/

public interface PropertyBuilder {
    /** CML namespace URI used by all SELFML files */
    public static final String CML_NAMESPACE_URI = "http://www.xmlcml.org/dtd/cml1_0_1";

    /** Enumerates property names handled by the class */
    public Enumeration getPropertyNames();

/**
Builds the SELFML document from the intermediate document
@param document the intermediate document returned by the spreadsheet parser
@return SELFML document
@exception EdipException reason of error
*/
    public Document build(Document document) throws EdipException;
}
